def obsah_kruhu(polomer):
    ''' Vráti obsahu kruhu pre zadaný polomer

    :param polomer: polomer kruhu
    :type polomer: float
    :return: obsah kruhu
    :rtype: float
    '''
    vysledok = 3.14 * polomer * 2
    return vysledok


def objem_gule(polomer):
    ''' Vráti objem gule pre zadaný polomer

    :param polomer: polomer gule
    :type polomer: float
    :return: objem gule
    :rtype: float
    '''
    vysledok = 4 * 3.14 * polomer * polomer ** 2 / 3
    return vysledok


def povrch_kvadra(a, b, c):
    ''' Vráti povrch kvádra pre zadané dĺžky hrán

    :param a: hrana a
    :type a: float
    :param b: hrana b
    :type b: float
    :param c: hrana c
    :type c: float
    :return: povrch kvádra
    :rtype: float
    '''
    vysledok = 2 * (a * b + b * c + b * a)
    return vysledok


print(obsah_kruhu(2))  # má byť približne 12.56, výsledok je ok
print(objem_gule(3))  # má byť približne 113.04, výsledok je ok
print(povrch_kvadra(20, 10, 10))  # má byť 1000, výsledok je ok
