def obsah_stvorca(a):
    ''' Vráti obsah štvorca pre zadanú dĺžku strany

    :param a: dĺžka strany štvorca
    :type a: float
    :return:  obsah štvorca
    :rtype: float
    :raises ValueError: ak zadaná dĺžka nie je zápisom čísla alebo predstavuje nie kladné číslo
    '''
    try:
        a = float(a)
    except ValueError:
        raise ValueError('Nečíselná hodnota pre dĺžku strany štvorca.')
    if a <= 0:
        raise ValueError('Záporná alebo nulová dĺžka strany štvorca.')
    return a ** 2


strana = input('Dĺžka strany štvorca: ')
try:
    print(f'Obsah štvorca je {obsah_stvorca(strana)}.')
except ValueError as chyba:
    print(chyba)
