def je_datum_ok(den, mesiac, rok):
    ''' Vráti, či zadaný den, mesiac a rok predstavujú korektný/existujúci dátum.

    :param den: poradie dňa v mesiaci
    :type den: int
    :param mesiac: poradie mesiaca v roku
    :type mesiac: int
    :param rok: rok v tvare RRRR
    :type rok: int
    :return: True, ak údaje predstavujú korektný dátum, inak False
    :rtype: bool
    '''
    import datetime
    try:
        den = int(den)
        mesiac = int(mesiac)
        rok = int(rok)
        datetime.date(rok, mesiac, den)
    except ValueError:
        return False
    return True


print(je_datum_ok(1, 1, 2020))
print(je_datum_ok(29, 2, 1900))
