def objem_gule(priemer):
    ''' Vráti objem gule so zadaným priemerom

    :param priemer: priemer gule
    :type priemer: float
    :return: objem gule
    :rtype: float
    '''
    objem = 4 / 3 * 3.14 * (priemer / 2) ** 3
    return objem


def hmotnost_snehovej_gule(priemer):
    ''' Vráti hmotnost snehovej gule so zadaným priemerom

    :param priemer: priemer gule
    :type priemer: float
    :return: hmotnost gule
    :rtype: float
    '''
    hustota_snehu = 300
    objem_snehu = objem_gule(priemer)
    hmotnost = hustota_snehu * objem_snehu
    return hmotnost


def hmotnost_snehuliaka(priemer1, priemer2, priemer3):
    ''' Vráti hmotnost snehuliaka postaveného z troch gul so zadanými priemermi

    :param priemer1: priemer 1. gule
    :type priemer1: float
    :param priemer2: priemer 2. gule
    :type priemer2: float
    :param priemer3: priemer 3. gule
    :type priemer3: float
    :return: hmotnosť snehuliaka
    :rtype: float
    '''
    hmotnost1 = hmotnost_snehovej_gule(priemer1)
    hmotnost2 = hmotnost_snehovej_gule(priemer2)
    hmotnost3 = hmotnost_snehovej_gule(priemer3)
    hmotnost_celkom = hmotnost1 + hmotnost2 + hmotnost3
    return hmotnost_celkom


print('Hmotnosť snehuliaka je', hmotnost_snehuliaka(1, 0.7, 0.4))
