def pocitaj_bmi(m, v):
    ''' Vráti BMI človeka so zadanou hmotnosťou m a výškou v

    :param m: hmotnosť človeka v kilogramoch
    :type m: float
    :param v: výška človeka v metroch
    :type v: float
    :return: index telesnej hmotnosti
    :rtype: float
    '''
    vysledok = m / v ** 2
    return vysledok


def kategoria_bmi(hmotnost, vyska):
    ''' Vráti BMI kategóriu človeka

    :param hmotnost: hmotnosť človeka v kilogramoch
    :type hmotnost: float
    :param vyska: výska človeka v metroch
    :type vyska: float
    :return: kategória BMI
    :rtype: str
    '''
    bmi = pocitaj_bmi(hmotnost, vyska)
    if bmi < 18.5:
        kategoria = 'podvýživa'
    elif bmi < 25:
        kategoria = 'ideálna, zdravá hmotnosť'
    elif bmi < 30:
        kategoria = 'nadváha'
    elif bmi < 40:
        kategoria = 'obezita'
    else:
        kategoria = 'ťažká obezita'
    return kategoria


hmotnost = 95
vyska = 1.90
kategoria = kategoria_bmi(hmotnost, vyska)
print('Kategória BMI je:', kategoria)
