def dlzka_prepony(s1, s2):
    ''' Vráti dĺžku prepony pravouhlého trojuholníka s odvesnami s1 a s2.

    :param s1: dĺžka odvesny 1
    :type s1: float
    :param s2: dĺžka odvesny 2
    :type s2: float
    :return: dĺžka prepony
    :rtype: float
     '''
    dlzka = (s1 ** 2 + s2 ** 2) ** 0.5
    return dlzka


def hmotnost_kocky(hrana, hmotnost_1m):
    ''' Vráti hmotnosť železnej kocky z tyčí so zadanou dĺžkou hrany a jednotkovou hmotnosťou tyče

    :param hrana: dĺžka hrany kocky
    :type hrana: float
    :param hmotnost_1m: hmotnosť 1 m tyče
    :type hmotnost_1m: float
    :return: hmotnosť kocky
    :rtype: float
'''
    u_stena = dlzka_prepony(hrana, hrana)
    u_kocka = dlzka_prepony(hrana, u_stena)
    dlzka = 12 * hrana + 12 * u_stena + 4 * u_kocka
    hmotnost = dlzka * hmotnost_1m
    return hmotnost


hrana = 1
hmotnost = 1
print(hmotnost_kocky(hrana, hmotnost))
