def vysledna_znamka(znamky):  # riešenie A
    ''' Vráti výslednú známku vypočítanú zo zoznamu známok.

    :param znamky: zoznam známok
    :type znamky: list of int
    :return: výsledná známka
    :rtype: int
    '''
    priemer = sum(znamky) / len(znamky)
    znamka = round(priemer)
    return znamka


def vysledna_znamka(znamky):  # riešenie C
    ''' Vráti výslednú známku vypočítanú zo zoznamu známok.

    :param znamky: zoznam známok
    :type znamky: list of int
    :raise ValueError: ak zoznam známok je prázdny alebo obsahuje nekorektnú známku
    :return: výsledná známka
    :rtype: int
    '''
    if len(znamky) == 0:
        raise ValueError('Chyba! Zoznam známok je prázdny.')
    for znamka in znamky:
        if znamka not in [1, 2, 3, 4, 5]:
            raise ValueError('Chyba! V zozname známok je nekorektná hodnota.')
    priemer = sum(znamky) / len(znamky)
    znamka = round(priemer)
    return znamka


def vysledna_znamka(znamky):  # riešenie D
    ''' Vráti výslednú známku vypočítanú zo zoznamu známok. Posledná známka má trojnásobnú váhu.

    :param znamky: zoznam známok
    :type znamky: list of int
    :raise ValueError: ak zoznam známok je prázdny alebo obsahuje nekorektnú známku
    :return: výsledná známka
    :rtype: int
    '''
    if len(znamky) == 0:
        raise ValueError('Chyba! Zoznam známok je prázdny.')
    for znamka in znamky:
        if znamka not in [1, 2, 3, 4, 5]:
            raise ValueError('Chyba! V zozname známok je nekorektná hodnota.')
    priemer = (2 * znamky[-1] + sum(znamky)) / (len(znamky) + 2)
    znamka = round(priemer)
    return znamka


znamky = [2, 1, 3, 2, 3, 1, 2]
print(vysledna_znamka(znamky))
