import random


def generuj_hody():
    ''' Vráti zoznam 100 náhodných hodov kockou

    :return: zoznam hodov kockou
    :rtype: list of int
    '''
    hody = []
    for i in range(100):
        hod = random.randrange(1, 7)
        hody.append(hod)
    return hody


def padla_trojica(hody, trojica):
    ''' Vráti, či v zozname hodov je aj trojica čísiel

    :param hody: zoznam hodov kockou
    :type hody: list of int
    :param trojica: trojic čísiel
    :type trojica: list of int
    :return: True, ak trojica je v zozname hodnôt, inak False
    :rtype: bool
    '''
    for index in range(len(hody) - 3):
        if hody[index: index + 3] == trojica:
            return True
    return False


hody = generuj_hody()
trojica = [6, 6, 5]
print(f'trojica {trojica} padla: {padla_trojica(hody, trojica)}')
print(f'trojica {trojica[::-1]} padla: {padla_trojica(hody, trojica[::-1])}')

