def je_prvocislo(cislo):
    ''' Zisti, či zadané prirodzené číslo je prvočíslom

    :param cislo: testované číslo
    :type cislo: int
    :return: test, či zadané čislo je prvočíslom
    :rtype: bool
    '''
    if cislo < 2:
        return False
    if cislo % 1 != 0:
        return False
    for delitel in range(2, cislo):
        if cislo % delitel == 0:
            return False
    return True


def prvocisla_z_intervalu(od, do):
    ''' Vráti zoznam prvočísiel z intervalu <od, do)

    :param od: ľavý okraj intervalu
    :type od: int
    :param do: pravý okraj intervalu
    :type do: int
    :return: zoznam prvočísiel
    :rtype: list of int
    '''
    prvocisla = [cislo for cislo in range(od, do) if je_prvocislo(cislo)]
    return prvocisla


print(prvocisla_z_intervalu(1, 20))
