def cena_vstupneho(pocet_deti, pocet_dospelych):
    ''' Vráti cenu vstupného pre skupinu návštevníkov. Predpokladajú sa korektné vstupy.

    :param pocet_deti: počet detí v skupine
    :type pocet_deti: int
    :param pocet_dospelych: počet dosplelých v skupine
    :type pocet_dospelych: int
    :return: cena vstupného pres skupinu
    :rtype: float
    '''
    if pocet_deti + pocet_dospelych < 5:
        cena = pocet_deti * 0.5 + pocet_dospelych * 1
    elif pocet_deti + pocet_dospelych < 10:
        cena = pocet_deti * 0.4 + pocet_dospelych * 0.7
    else:
        if pocet_dospelych > pocet_deti:
            cena = pocet_deti * 0.3 + pocet_dospelych * 0.5
        else:
            cena = pocet_deti * 0.2 + pocet_dospelych * 0.6
    return cena


p_deti = input('Zadaj počet detí: ')
p_deti = int(p_deti)
p_dospelych = input('Zadaj počet dospelých: ')
p_dospelych = int(p_dospelych)

cena = cena_vstupneho(p_deti, p_dospelych)
print(cena)
