# reťazce na experimentovanie
# hlasovanie = '1|1|1|1|3|3|3|3|2|'
hlasovanie = '1|1|2|1|3|2|1|3|3|'

prvy_model = hlasovanie.count('1')
druhy_model = hlasovanie.count('2')
treti_model = hlasovanie.count('3')

print(f'Počet hlasov za prvý model: {prvy_model}')
print(f'Počet hlasov za druhý model: {druhy_model}')
print(f'Počet hlasov za tretí model: {treti_model}')

if prvy_model > druhy_model and prvy_model > treti_model:
    print('Absolútny víťaz: model 1')
elif druhy_model > prvy_model and druhy_model > treti_model:
    print('Absolútny víťaz: model 2')
elif treti_model > prvy_model and treti_model > druhy_model:
    print('Absolútny víťaz: model 3')
else:
    print('Neexistuje absolútny víťaz.')


# riešenie, v ktorom nepoužijeme zložené podmienky je efektívnejšie
# vyžaduje však hlbšiu analýzu, napr. obrázok rozhodovacieho stromu
if prvy_model < druhy_model:
    if druhy_model < treti_model:
        print('Absolútny víťaz: treti_model')
    elif druhy_model == treti_model:
        print('Neexistuje absolútny víťaz.')
    else:
        print('Absolútny víťaz: druhy_model')
elif prvy_model > treti_model:
    if prvy_model == druhy_model:
        print('Neexistuje absolútny víťaz.')
    else:
        print('Absolútny víťaz: prvy_model')
elif prvy_model == treti_model:
    print('Neexistuje absolútny víťaz.')
else:
    print('Absolútny víťaz: treti_model')
