def zisti_hodnotu(retazec):
    ''' Vráti celočíselnú hodnotu zo vstupu v tvare 'cele_cislo kg'

    :param retazec: vstupný reťazec
    :type retazec: str
    :return: hodnota zo vstupu
    :rtype: int
    :raises ValueError: Ak vstup nie je v tvare 'cele_cislo kg'
    '''
    if retazec[-3:] != ' kg':
        raise ValueError('Nesprávna jednotka hmotnosti.')
    hodnota = retazec[:-3]
    try:
        return int(hodnota)
    except ValueError:
        raise ValueError('Nečíselná alebo nie celočíselná hodnota hmotnosti.')


hmotnost = input('Zadaj hmotnosť nákladu aj s jednotkou: ')
try:
    hodnota = zisti_hodnotu(hmotnost)
except ValueError as chyba:
    print(chyba)
else:
    print(hodnota)
