def zamen(retazec, mnozina, znak):
    ''' v zadanom reťazci zamení znaky z reťazca mnozina znakom znak

    :param retazec: pôvodný reťazec
    :type retazec: str
    :param mnozina: znaky, ktoré sa majú zameniť
    :type mnozina: str
    :param znak: zamenený znak
    :type znak: str
    :return: výsledný reťazec
    :rtype: str
    '''
    for i in mnozina:
        retazec = retazec.replace(i, znak)
    return retazec


def desifruj(sifra):
    ''' Vráti dešifrovanú správum ktorá bola zašifovaná postupm v zadaní úlohy

    :param sifra: zašifrovaná správa
    :type sifra: str
    :return: výsledný textový reťazec
    :rtype: str
    '''
    sprava = sifra

    # riešenie s definovanou funkciou zamen()
    sprava = zamen(sprava, '358', ' ')
    sprava = zamen(sprava, '019', 'a')
    sprava = zamen(sprava, '47', 'k')
    sprava = zamen(sprava, '26', 's')

    # riešenie bez definovania funkcie zamen()
    #    for i in '358':
    #        sprava = sprava.replace(i, ' ')
    #    for i in '019':
    #        sprava = sprava.replace(i, 'a')
    #    for i in '47':
    #        sprava = sprava.replace(i, 'k')
    #    for i in '26':
    #        sprava = sprava.replace(i, 's')

    return sprava


# reťazce na experimentovanie
sprava = 'Ak08m1t493t9703K0t40'  # Aka matka taka Katka
# sprava = 'A798m0t415t1405K0t79' # Aka matka taka Katka
# sprava = 'M964087l1un0' # Maska klauna
# sprava = 'M124954l0un9' # Maska klauna

print(desifruj(sprava))
