def pocitaj_hmotnosti(rozdiely):
    hmotnosti = []
    akt_hmotnost = 0
    for rozdiel in rozdiely:
        akt_hmotnost = akt_hmotnost + rozdiel
        hmotnosti.append(akt_hmotnost)
    return hmotnosti

def cas_dosiahnutia(hmotnosti, cielova_hmotnost):  # Riešenie B
    akt_sucet = 0
    hodina = 0
    while hodina < len(hmotnosti) and akt_sucet < cielova_hmotnost:
        akt_sucet = akt_sucet + hmotnosti[hodina]
        hodina = hodina + 1
    return hodina

def cas_dosiahnutia(hmotnosti, cielova_hmotnost):  # Riešenie C
    # rozpoznanie, že cieľovú hmotnosť nie je možné dosiahnuť ešte pred výpočtom
    # if sum(hmotnosti) < cielova_hmotnost:
    #     raise ValueError('Cieľovú hmotnosť sa nepodarilo    dosiahnuť.')

    akt_sucet = 0
    hodina = 0
    while hodina < len(hmotnosti) and akt_sucet < cielova_hmotnost:
        akt_sucet = akt_sucet + hmotnosti[hodina]
        hodina = hodina + 1
    # rozpoznanie, že cieľovú hmotnosť sa nepodarilo dosiahnuť až po výpočte
    if akt_sucet < cielova_hmotnost:
        raise ValueError('Cieľovú hmotnosť sa nepodarilo    dosiahnuť.')
    return hodina


rozdiely = [450, 20, -35, -2, 60, 28, 52]
hmotnosti = pocitaj_hmotnosti(rozdiely)
print(hmotnosti)
print(cas_dosiahnutia(hmotnosti, 1500))
