import random


def nacitaj_zo_suboru(subor):
    try:
        with open(subor, 'r', encoding='utf-8') as f:
            data = f.readlines()
    except FileNotFoundError:
        raise FileNotFoundError(f'Súbor slov "{subor}" sa nenašiel.')
    except OSError:
        raise OSError(f'Súbor slov "{subor}" sa nepodarilo otvoriť.')
    vysledok = [slovo.strip() for slovo in data]
    return vysledok


spolocny_zoznam = nacitaj_zo_suboru('slova.txt')
print(spolocny_zoznam)
