import tkinter


def vypocet():
    ''' Vráti zašifrovaný text zo zadaného otvoreného textu

    :param text_otvoreny: otvorený text
    :type text_otvoreny: StringVar
    '''
    vstup = text_otvoreny.get()
    if len(vstup) % 2 == 0:
        vystup = vstup[-1::-2] + vstup[0::2]
    else:
        vystup = vstup[-2::-2] + vstup[0::2]
    text_sifrovany.set(vystup)


okno = tkinter.Tk()
okno.title('Šifrovanie')

# riadok 0: Label, Entry
tkinter.Label(okno, text='Zadaj text: ').grid(row=0, column=0)

text_otvoreny = tkinter.StringVar()
text_otvoreny.set('abcdef')
tkinter.Entry(okno, textvariable=text_otvoreny).grid(row=0, column=1)

# riadok 1: Button, Entry
tkinter.Button(okno, text='Zašifruj', command=vypocet).grid(row=1, column=0)

text_sifrovany = tkinter.StringVar()
text_sifrovany.set('?')
tkinter.Entry(okno, textvariable=text_sifrovany).grid(row=1, column=1)

okno.mainloop()
