import tkinter


def kresli():
    if vyber.get() == 'obdĺžnik':
        platno.create_rectangle(25, 25, 275, 175, fill='lightgreen', outline='green')
    elif vyber.get() == 'elipsa':
        platno.create_oval(25, 25, 275, 175, fill='white')
    elif vyber.get() == 'čiara':
        platno.create_line(25, 25, 275, 175, fill='cyan', width=5)
    elif vyber.get() == 'lomená čiara':
        platno.create_polygon(25, 25, 275, 175, 275, 25, 25, 175, fill='green')
    elif vyber.get() == 'text':
        platno.create_text(150, 50, text='Programovanie v Pythone', fill='black')
    elif vyber.get() == 'obrázok':
        platno.create_image(150, 150, anchor='center', image=obrazok)


def zmaz():
    platno.delete('all')


okno = tkinter.Tk()
okno.title('Ukážka kreslenia na plátne')
platno = tkinter.Canvas(okno, width=300, height=200, background='#FF8')
obrazok = tkinter.PhotoImage(file='ita_logo.gif')

# riadok 0: Label, Button, Button
zoznam = ['obdĺžnik', 'elipsa', 'čiara', 'lomená čiara', 'text', 'obrázok']
vyber = tkinter.StringVar()
vyber.set(zoznam[0])
tkinter.OptionMenu(okno, vyber, *zoznam).grid(row=0, column=0)

tkinter.Button(okno, text='Kresli', command=kresli).grid(row=0, column=1)

tkinter.Button(okno, text='Zmaž', command=zmaz).grid(row=0, column=2)

# riadok 2: Canvas
platno.grid(row=1, column=0, columnspan=3)

okno.mainloop()
