import tkinter


def nacitaj_data(meno_suboru):
    ''' Načítanie dát zo súboru so zadaným menom do zoznamu

    :param meno_suboru: zadané meno súboru s dátami
    :type meno_suboru: str
    :return: zoznam riadkov s dátami
    :rtype: list of str
    '''
    with open(meno_suboru, 'r', encoding='utf-') as f:
        data = f.readlines()
    data = [polozka.strip() for polozka in data]
    return data


def kresli(zoznam):
    ''' Vykreslenie úsečiek s dĺžkami uvedenými v zozname

    :param zoznam: zoznam dĺžok úsečiek
    :type zoznam: list of int
    '''
    for x in range(len(zoznam)):
        platno.create_line(x + 5, 5, x + 5, zoznam[x])


okno = tkinter.Tk()
okno.title('Vykreslenie stalaktitov')
platno = tkinter.Canvas(okno, width=300, height=300, background='yellow')
platno.grid()

zoznam = [50, 40, 90, 70, 20, 60, 80, 10, 30, 100]
# zoznam = nacitaj_data('stalaktity1.txt')
# zoznam = nacitaj_data('stalaktity2.txt')
# zoznam = nacitaj_data('stalaktity3.txt')
# zoznam = nacitaj_data('stalaktity4.txt')
kresli(zoznam)

okno.mainloop()
