def hodnota_na_konci_mesiaca(mesiac):
    ''' Vráti hodnotu investície na konci zadaného mesiaca

    :param mesiac: poradie mesiaca sporenia
    :type mesiac: int
    :return: hodnota investície na konci zadaného mesiaca
    :rtype: int
    :raises ValueError: Ak zadaný mesiac nie je číslo alebo nie je kladné číslo
    '''
    try:
        # overujeme celočíselnosť
        mesiac = int(mesiac)
    except ValueError:
        raise ValueError('Počet mesiacov nie je celé číslo.')
    if mesiac <= 0:
        raise ValueError('Počet mesiacov sporenia musí byť kladný.')
    hodnota = mesiac * 2
    return hodnota


# počet mesiacov investovania
pocet_mesiacov = input('Počet mesiacov: ')
print(f'Na konci {pocet_mesiacov}. mesiaca: {hodnota_na_konci_mesiaca(pocet_mesiacov)} EUR')
