import tkinter


def zapis_data(volba):
    ''' Zapíše vybranú voľbu (niektoré z písmen A, B, C) do súboru

    :param volba: vybraná voľba (niektoré z písmen A, B, C)
    :type volba: str
    '''
    with open('hlasovanie.txt', 'a', encoding="utf-8") as f:
        f.write(f'{volba}\n')


def hlasujem_a():
    ''' Pripísanie riadku so znakom 'A' do textového súboru '''
    zapis_data('A')


def hlasujem_b():
    ''' Pripísanie riadku so znakom 'B' do textového súboru '''
    zapis_data('B')


def hlasujem_c():
    ''' Pripísanie riadku so znakom 'C' do textového súboru '''
    zapis_data('C')


okno = tkinter.Tk()
okno.title('Hlasovanie - žiak')

tkinter.Button(okno, text='Hlasujem A', command=hlasujem_a).grid(row=0, column=0)
tkinter.Button(okno, text='Hlasujem B', command=hlasujem_b).grid(row=0, column=1)
tkinter.Button(okno, text='Hlasujem C', command=hlasujem_c).grid(row=0, column=2)

okno.mainloop()
