import turtle


def stvorec(strana):
    ''' vykreslenie štvorca so zadanou dľžkou strany

    :param strana: dĺžka strany štvorca
    :type strana: int
    '''
    for i in range(4):
        pero.forward(strana)
        pero.right(90)


def vzor(pocet, strana):
    ''' vykreslenie vzoru so zadaným počtom štvorcov so zadanou dĺžkou strany

    :param pocet: počet štvorcov vo vzore
    :type pocet: int
    :param strana: dĺžka strany štvorca
    :type strana: int
    '''
    for i in range(pocet):
        stvorec(strana)
        pero.right(360 / pocet)


tabula = turtle.Screen()
pero = turtle.Turtle()
pero.width(2)

vzor(5, 50)  # vykreslenie vzoru s 5 štvorcami dĺžky 50

tabula.mainloop()
