import turtle


def trojuholnik(velkost):
    ''' Vykreslí trojuholník so zadanou dĺžkou strany

    :param velkost: dĺžka strany trojuholníka
    :type velkost: int
    '''
    for i in range(3):
        pero.forward(velkost)
        pero.left(120)


def kresli_ozubene_koliesko(velkost_zubu, pocet_zubov):
    ''' Vykreslí ozubené koliesko so zadanou veľkosťou a počtom zubov

    :param velkost_zubu: veľkosť zubu
    :type velkost_zubu: int
    :param pocet_zubov: počet zubov
    :type pocet_zubov: int
    '''
    for i in range(pocet_zubov):
        trojuholnik(velkost_zubu)
        pero.forward(velkost_zubu)
        pero.right(360 / pocet_zubov)


tabula = turtle.Screen()
pero = turtle.Turtle()

kresli_ozubene_koliesko(30, 5)

tabula.mainloop()
