import turtle


def stvorec(strana):
    ''' Vykreslí štvorec so zadanou dĺžkou strany

    :param strana: dĺžka strany
    :type strana: int
    '''
    pero.pendown()
    for i in range(4):
        pero.forward(strana)
        pero.right(360 / 4)
    pero.penup()


def veza(pocet, strana):
    ''' Vykreslí vežu so zadaným počtov štvorcov a zadanou dĺžkou strany štvorca

    :param pocet: počet štvorcov
    :type pocet: int
    :param strana: dĺžka strany štvorca
    :type strana: int
    '''
    for i in range(pocet):
        stvorec(strana)
        pero.forward(strana)
    pero.backward(pocet * strana)


def schody(pocet, strana):
    ''' Vykreslí schody so zadaným počtov schodov a zadanoy  veľkosťou schodu

    :param pocet: počet schodov (štvorcov)
    :type pocet: int
    :param strana: dĺžka schodu (strany štvorca)
    :type strana: int
    '''
    for i in range(pocet):
        stvorec(strana)
        pero.forward(strana)
        pero.right(90)
        pero.forward(strana / 2)
        pero.left(90)
    pero.backward(pocet * strana)
    pero.left(90)
    pero.forward(pocet * strana / 2)
    pero.right(90)


tabula = turtle.Screen()
pero = turtle.Turtle()
pero.left(90)

veza(5, 20)
# schody(5, 20)

tabula.mainloop()
