def celsius_do_fahrenheit(teplota_c):
    ''' Prevedie teplotu zo stupňov Celzia na stupne Fahrenheita

    :param teplota_c: teplota v stupňoch Celzia
    :type teplota_c: float
    :return: teplota v stupňoch Fahrenheita
    :rtype: float
    '''
    vysledok = teplota_c * 9 / 5 + 32
    return vysledok


def fahrenheit_do_celsius(teplota_f):
    ''' Prevedie teplotu zo stupňov Fahrenheita na stupne Celzia

    :param teplota_f: teplota v stupňoch Fahrenheita
    :type teplota_f: float
    :return: teplota v stupňoch Celzia
    :rtype: float
    '''
    vysledok = (teplota_f - 32) * 5 / 9
    return vysledok


# správnosť programu môžeme čiastočne overiť tak,
# že teplotu v °C prevedieme na °F a tiež späť na °C
teplota_celzius = 37
teplota_fahrenheit = celsius_do_fahrenheit(teplota_celzius)
print(teplota_celzius, '°C =', teplota_fahrenheit, '°F')

teplota_celzius = fahrenheit_do_celsius(teplota_fahrenheit)
print(teplota_fahrenheit, '°F =', teplota_celzius, '°C')

