def objem_nadrze(priemer_cm, vyska_m):
    ''' Vráti objemu valcovej nádrže so zadanou výškou a priemerom podstavy

    :param priemer_cm: priemer nádrže v cm
    :type priemer_cm: int | float
    :param vyska_m: výška nádrže v m
    :type vyska_m: int | float
    :return: objem nádrže v l
    :rtype: float
    '''
    priemer_dm = priemer_cm / 10
    vyska_dm = vyska_m * 10
    obsah_podstavy = 3.14 * (priemer_dm / 2) ** 2
    objem = obsah_podstavy * vyska_dm
    return objem

polomer = 10  # cm
vyska = 0.5  # m
print(objem_nadrze(2 * polomer, vyska))  # očakávame 3.14 * 1 * 1 * 5 = 15.70

polomer = 0.1  # cm
vyska = 2  # m
print(objem_nadrze(2 * polomer, vyska))  # očakávame 3.14 * 0.01 * 0.01 * 20 = 0.00628


