def korene_kvadratickej_rovnice(a, b, c):
    ''' výpočet koreňov kvadratickej rovnice

    :param a: kvadratický koeficient
    :type a: float
    :param b: lineárny koeficient
    :type b: float
    :param c: absolútny koeficient
    :type c: float
    :return: korene kvadratickej rovnice
    :rtype c: float | tuple
    '''
    diskriminant = b ** 2 - 4 * a * c
    if diskriminant > 0:
        x1 = (-b + diskriminant ** 0.5) / (2 * a)
        x2 = (-b - diskriminant ** 0.5) / (2 * a)
        return x1, x2
    elif diskriminant == 0:
        x = -b / (2 * a)
        return x
    else:
        return

a = 1
b = 0
c = -1
print(korene_kvadratickej_rovnice(a, b, c))
