def najdi_skratku(trasa):
    ''' Vráti skratku pre zadanú trasu pozostávajúcu zo smerov: SJVZ


    :param trasa: záznam trasy, postupnosť znakov z množiny SJVZ
    :type trasa: str
    :return: skrátený zápis zadanej trasy
    :rtype: str
    '''
    pocet_s = trasa.count('S')
    pocet_j = trasa.count('J')
    if pocet_s > pocet_j:
        skratka = 'S' * (pocet_s - pocet_j)
    else:
        skratka = 'J' * (pocet_j - pocet_s)

    pocet_v = trasa.count('V')
    pocet_z = trasa.count('Z')
    if pocet_v > pocet_z:
        skratka = skratka + 'V' * (pocet_v - pocet_z)
    else:
        skratka = skratka + 'Z' * (pocet_z - pocet_v)

    return skratka


trasa = 'SSVSJJZZ'
skratka = najdi_skratku(trasa)

print(skratka)
