def prevod_na_m(dlzka):
    ''' Vráti dĺžkový údaj v metroch

    '30 cm' -> '0.3 m'

    Akceptuje jednotky mm, cm, dm, m, km

    :param dlzka: text s číselnou hodnotou a jednotkou
    :type dlzka: str
    :return: dĺžkový údaj v druhej jednotke
    :rtype: str
    '''
    medzera = dlzka.index(' ')
    jednotka = dlzka[medzera + 1:]
    hodnota = dlzka[:medzera]
    hodnota = float(hodnota)
    if jednotka == 'mm':
        vystup = f'{hodnota / 1000} m'
    elif jednotka == 'cm':
        vystup = f'{hodnota / 100} m'
    elif jednotka == 'dm':
        vystup = f'{hodnota / 10} m'
    elif jednotka == 'm':
        vystup = f'{hodnota} m'
    else:
        vystup = f'{hodnota * 1000} m'
    return vystup


vstup = input('Vzdialenosť/dĺžka: ')
print(f'{vstup} = {prevod_na_v(vstup)}')
