def vymen_texty(text1, text2, text):
    ''' Vráti upravený text, v ktorom sa všetky výskyty text1 nahradia text2 a naopak

    :param text1: text1 na výmenu
    :type text1: str
    :param text2: text2 na výmenu
    :type text2: str
    :param text: upravovaný text
    :type text: str
    :return: upravený text v ktorom sa text1 <-> text2
    :rtype:
    '''
    pomocny_text = '?*!'
    text = text.replace(text1, pomocny_text)
    text = text.replace(text2, text1)
    text = text.replace(pomocny_text, text2)
    return text


def vymen_yz(text):
    ''' Vráti upravený text, v ktorom sú vymenené znaky z a y

    :param text: pôvodný text
    :type text: str
    :return: upravený text
    :rtype: str
    '''
    text = text.replace('ˇy', 'ž')
    text = text.replace('ˇY', 'Ž')
    text = text.replace('ź', 'ý')
    text = text.replace('Ź', 'Ý')
    text = vymen_texty('z', 'y', text)
    text = vymen_texty('Z', 'Y', text)
    return text


# pôvodný text: 'niečo pred yýYÝzžZŽ niečo za'
# sa napíše chybne: 'niečo pred zźZŹyˇyYˇY niečo za'
text = 'niečo pred zźZŹyˇyYˇY niečo za'

print(vymen_yz(text))
