def prevod_teploty(vstup):
    ''' Vráti zodpovedajúci teplotný údaj v inej, než zadanej stupnici.

    '7.22 C' -> '45.0 F'

    '45.0 F' -> '7.22 C'

    Pracuje so stupnicami C a F.


    :param vstup: teplotný údaj v jednej stupnici
    :type vstup: str
    :return: teplotný údaj v druhej stupnici
    :rtype: str
    '''
    jednotka = vstup[-1]
    hodnota = vstup[:-2]
    hodnota = float(hodnota)
    if jednotka == 'F':
        # prevod z F na C
        vystupna_hodnota = round((hodnota - 32) / 1.8, 2)
        return f'{vystupna_hodnota} C'
    else:
        # prevod z C na F
        vystupna_hodnota = round(hodnota * 1.8 + 32, 2)
        return f'{vystupna_hodnota} F'



vstup = input('Zadaj teplotu aj s jednotkou: ')
print(f'{vstup} = {prevod_teploty(vstup)}')
