def meno(vstup):
    ''' Vráti meno zamestnanca zo zadaného textového reťazca

    :param vstup: zadaný textový reťazec
    :type vstup: str
    :return: meno zamestanca začínajúce veľkým písmenom
    :rtype: str
    '''
    pozicia_medzery = vstup.find(' ')
    vystup = vstup[:pozicia_medzery]
    vystup = vystup[0].upper() + vystup[1:].lower()
    return vystup


def priezvisko(vstup):
    ''' Vráti priezvisko zamestnanca zo zadaného textového reťazca

    :param vstup: zadaný textový reťazec
    :type vstup: str
    :return: priezvisko zamestanca uvedené veľkými písmenami
    :rtype: str
    '''
    pozicia_medzery = vstup.find(' ')
    vystup = vstup[pozicia_medzery + 1:]
    vystup = vystup.upper()
    return vystup


zamestnanec = input('Meno a priezvisko: ')
print(f'{meno(zamestnanec)} {priezvisko(zamestnanec)}')
