def uprav_kod(vstup):
    ''' upraví kód tovaru

    :param vstup: kód tovaru
    :type vstup: str
    :return: upravený kód tovaru
    :rtype: int
    :raises Exception: 'Chyba1'|'Chyba2'
    '''
    try:
        vstup = int(vstup)
    except ValueError:
        raise ValueError('Chyba1')
    if vstup < 1000:
        raise ValueError('Chyba2')
    return vstup // 10


kod = input('Zadaj kód tovaru: ')

try:
    novy_kod = uprav_kod(kod)
except ValueError as chyba:
    print(chyba)
else:
    print(f'{kod} => {novy_kod}')
