def je_vzor_ok(vzor):  # riešenie B
    ''' Vráti, či zadaný vzor je korektný

    :param vzor: reťazec definujúci vzor korálikov
    :type vzor: str
    :return: True, ak je vzor je korektný, inak False
    :rtype: bool
    '''
    try:
        if vzor[-1] != 'k':
            return False
    except IndexError:
        return False
    povolene_znaky = 'rgb /k'
    pocet_povolenych = 0
    for znak in povolene_znaky:
        pocet_povolenych = pocet_povolenych + vzor.count(znak)
    if pocet_povolenych != len(vzor):
        return False
    return True


def cena_celkom(vzor):  # riešenie A
    ''' Vráti cenu vzoru z farebných korálikov

    :param vzor: reťazec definujúci vzor korálikov
    :type vzor: str
    :return: cena korálikov vo vzore
    :rtype: float
    '''
    pocet_cervene = vzor.count('r')
    pocet_zelene = vzor.count('g')
    pocet_modre = vzor.count('b')
    cena = pocet_cervene + pocet_zelene * 1.5 + pocet_modre * 2
    cena = round(cena)
    return cena


def cena_celkom(vzor):  # riešenie C
    ''' Vráti cenu vzoru z farebných korálikov

    :param vzor: reťazec definujúci vzor korálikov
    :type vzor: str
    :return: cena korálikov vo vzore
    :rtype: float
    :raises ValueError: ak vzor nie je korektný
    '''
    if not je_vzor_ok(vzor):
        raise ValueError('Zadaný vzor nie je korektný.')
    pocet_cervene = vzor.count('r')
    pocet_zelene = vzor.count('g')
    pocet_modre = vzor.count('b')
    cena = pocet_cervene + pocet_zelene * 1.5 + pocet_modre * 2
    cena = round(cena)
    return cena


vzor = 'ggggg/ rrr/  b/ rrr/gggggk'
print(cena_celkom(vzor))

# riešenie D
vzor = input('Zadaj vzor korálikov: ')
try:
    print(f'Cena navrhnutého vzoru: {cena_celkom(vzor)}')
except ValueError as chyba:
    print(chyba)
