def stav_pocasia(zoznam_teplot, zoznam_rychlosti):  # riešenie A
    ''' Pre zadané zoznamy teplôt a rýchlosti vetra vypíše údaje po dvojiciach. 
    
    :param zoznam_teplot: zoznam teplôt v st. C
    :type zoznam_teplot: list of float
    :param zoznam_rychlosti: zoznam rýchlostí vetra v m/s 
    :type zoznam_rychlosti: list of float
    '''
    for index in range(len(zoznam_teplot)):
        teplota = zoznam_teplot[index]
        rychlost = zoznam_rychlosti[index]
        print(f'zaznam {index}: teplota: {teplota} °C, rychlost vetra: {rychlost} m/s')

def stav_pocasia(zoznam_teplot, zoznam_rychlosti):  # riešenie B
    ''' Pre zadané zoznamy teplôt a rýchlosti vetra vypíše údaje po dvojiciach.

    Pre každú dvojici zobrazí aj pocitovú teplotu.

    :param zoznam_teplot: zoznam teplôt v st. C
    :type zoznam_teplot: list of float
    :param zoznam_rychlosti: zoznam rýchlostí vetra v m/s
    :type zoznam_rychlosti: list of float
    '''
    for index in range(len(zoznam_teplot)):
        teplota = zoznam_teplot[index]
        rychlost = zoznam_rychlosti[index]
        rychlost_km_h = rychlost * 3.6
        teplota_poc = 13.12 + 0.6215 * teplota - 11.37 * rychlost_km_h ** 0.16 + 0.3965 * teplota * rychlost_km_h ** 0.16
        teplota_poc = round(teplota_poc, 1)
        print(f'zaznam {index}: teplota: {teplota} °C, rychlost vetra: {rychlost} m/s, pocitová teplota: {teplota_poc}  °C')


teploty = [-2, -6, -12, -10, -12, -10]
rychlosti = [2, 1.5, 3, 7, 6.2, 5]
stav_pocasia(teploty, rychlosti)
