def hodnotenie_projektu(hodnotenia): # riešenie A
    ''' Vráti celkové hodnotenie projektu na základe zoznamu hodnotení projektu porotcami
    celkove hodnotenie projektu

    :param hodnotenia: čiastkové hodnotenia projektu
    :type hodnotenia: list of int
    :return: celkové hodnotenie projektu
    :rtype: float
    '''
    najlepsie = max(hodnotenia)
    najhorsie = min(hodnotenia)
    sucet_bodov = sum(hodnotenia) - najlepsie - najhorsie
    pocet_hodnoteni = len(hodnotenia) - 2
    priemer = sucet_bodov / pocet_hodnoteni
    vysledok = round(priemer, 1)
    return vysledok

def hodnotenie_projektu(hodnotenia): # riešenie B
    ''' Vráti celkové hodnotenie projektu na základe zoznamu hodnotení projektu porotcami

    :param hodnotenia: čiastkové hodnotenia projektu
    :type hodnotenia: list of int
    :return: celkové hodnotenie projektu
    :rtype: float
    :raise ValueError: ak zoznam hodnotení je prázdny
    '''
    if len(hodnotenia) == 0:
        raise ValueError('Chyba! Zoznam hodnotení je prázdny')
    if len(hodnotenia) <= 2:
        sucet_bodov = sum(hodnotenia)
        pocet_hodnoteni = len(hodnotenia)
    else:
        najlepsie = max(hodnotenia)
        najhorsie = min(hodnotenia)
        sucet_bodov = sum(hodnotenia) - najlepsie - najhorsie
        pocet_hodnoteni = len(hodnotenia) - 2
    priemer = sucet_bodov / pocet_hodnoteni
    vysledok = round(priemer, 1)
    return vysledok

hodnotenia = [16, 12, 15, 9]
print(hodnotenie_projektu(hodnotenia))
