def vitaz_suboja(vitazi_hier):
    ''' Pre zadaný zoznam mien víťazov hier súboja,
    vráti meno víťaza alebo 'remíza'

    :param vitazi_hier: zoznam mien víťazov hier
    :type vitazi_hier: list of str
    :return: meno víťaza alebo 'remíza'
    :rtype: str
    '''
    hrac1 = vitazi_hier[-1]  # zistíme meno hráča, ktorý vyhral 3 x za sebou
    pocet_hier = len(vitazi_hier)
    if pocet_hier == 3:  # ak boli len tri hry
        return hrac1
    hrac2 = vitazi_hier[-4]  # na tejto pozícii je meno druhého hráča
    vyhry_hrac1 = vitazi_hier.count(hrac1)
    vyhry_hrac2 = pocet_hier - vyhry_hrac1
    if vyhry_hrac1 > vyhry_hrac2:
        return hrac1
    elif vyhry_hrac1 < vyhry_hrac2:
        return hrac2
    else:
        return 'remíza'

hry = ['Ivo', 'Ivo', 'Iva', 'Ivo', 'Ivo', 'Iva', 'Iva', 'Iva']
print(vitaz_suboja(hry))
