def pacienti_pohlavie(rc_pacienti, pohlavie):
    ''' Vráti zoznam rodných čísiel pacientov p odľa zadaného pohlavia

    :param rc_pacienti: zoznam rodných čísiel
    :type rc_pacienti: list of str
    :param pohlavie: pohlavie pacienta 'm' alebo 'z'
    :type rc_pacienti: str
    :return: zoznam vybraných rodných čísiel
    :rtype: list of str
    '''
    if pohlavie == 'z':
        vysledok = [rc_pacient for rc_pacient in rc_pacienti
                    if ((rc_pacient[2] == '5') or (rc_pacient[2] == '6'))]
    else:
        vysledok = [rc_pacient for rc_pacient in rc_pacienti
                    if ((rc_pacient[2] != '5') and (rc_pacient[2] != '6'))]
    return vysledok


pacienti = ['711228/3519', '790319/1560', '760605/6029', '870719/9974', '736120/0891', '965127/1663', '636011/3771', '685103/8821']
zeny = pacienti_pohlavie(pacienti, 'z')
print(zeny)
muzi = pacienti_pohlavie(pacienti, 'm')
print(muzi)
