def cena_kuponov(nakupy):
    ''' Vrráti hodnoty zľavových kuponóv podľa počtu a hodnoty nákupov

    :param nakupy: zoznam cien nákupov zákazníka
    :type nakupy: list of float
    :return: hodnota zľavových kupónov
    :rtype: float
    '''
    if len(nakupy) < 5:
        return 0
    kupony_10_20 = [nakup for nakup in nakupy if 10 < nakup <= 20]
    cena_kupony_10_20 = sum(kupony_10_20) * 0.01
    kupony_20_viac = [nakup for nakup in nakupy if 20 < nakup]
    cena_kupony_20_viac = sum(kupony_20_viac) * 0.03
    return cena_kupony_10_20 + cena_kupony_20_viac


nakupy = [11, 11, 11, 21, 21, 21]
print(cena_kuponov(nakupy))

