def vyhlad_data(data, pocet):
    ''' Vyhladí hodnoty v zadanom zozname. Každú postupnosť hodnôt dĺžky pocet nahradí jej priemerom.

    :param data: zoznam číselných hodnôt
    :type data: list of float
    :param pocet: počet hodnôt, ktoré sa nahradia ich priemerom
    :type pocet: int
    :return: zoznam vyhladených hodnôt
    :rtype: list of float
    '''
    vyhladene_data = []
    for index in range(len(data) - pocet + 1):
        podinterval = data[index:index + pocet]
        priemer = sum(podinterval) / pocet
        vyhladene_data.append(priemer)
    data.clear()
    data.extend(vyhladene_data)


data = [1, 2, 3, 5]
vyhlad_data(data, 2)
print(data)
