def platba(objem_paliva, zakaznicka_karta, cena_l):
    ''' Vráti cenu, ktorú zákazník zaplatí za palivo, pri započítaní zľavy

    :param objem_paliva: počet litrov paliva, ktoré zákazník natankoval
    :type objem_paliva: float
    :param zakaznicka_karta: True, ak má zákazník kartu, inak False
    :type zakaznicka_karta: bool
    :param cena_l: jednotková cena za palivo
    :type cena_l: float
    :return: celková cena so zľavou
    :rtype: float
    '''
    if objem_paliva < 20:
        if zakaznicka_karta:
            zlava = 0.01
        else:
            zlava = 0
    elif objem_paliva < 40:
        if zakaznicka_karta:
            zlava = 0.02
        else:
            zlava = 0.01
    else:
        if zakaznicka_karta:
            zlava = 0.04
        else:
            zlava = 0.02
    cena = objem_paliva * cena_l * (1 - zlava)
    return cena


print(platba(25, True, 1.26))
